# coding: utf-8
lib = File.expand_path(File.join("..", "lib"), __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "version"

Gem::Specification.new do |spec|
  spec.name          = "ces"
  spec.version       = CES::VERSION
  spec.authors       = ["Punknoodles"]
  spec.email = []

  spec.summary       = "Component-Entity-System framework for Ruby."
  spec.description   = "Component-Entity-System framework for Ruby."
  spec.homepage      = "https://gitlab.com/Punknoodles/ruby-ces"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.15"
end
